//
//  Person.h
//  Speicherverwaltung
//
//  Created by Holger Hinzberg on 14.01.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Person : NSObject

// Eine Eigenschaft für zwei Objekte
@property (copy) NSString *name;
@property (copy) NSString *firstname;
// Eine Eigenschaft für einen einfachen Typen
@property int age;

- (void)sayYourName;
- (id)initWithName:(NSString *) aName Firstname:(NSString *) aFirstname Age:(int)aAge;
- (NSComparisonResult)comparePerson:(Person *)aPerson;
- (NSComparisonResult)compareWithName:(Person *)aPerson;
- (NSComparisonResult)compareWithFirstname:(Person *)aPerson;
- (NSComparisonResult)compareWithAge:(Person *)aPerson;
@end
